import { UIMLTextarea } from './../ui-ml-textarea';
import { UIMLInput } from './../ui-ml-input';
export declare class MLInputHelper {
    private changeSelectedLangageCallback;
    private mlInput;
    private config;
    private i18n;
    private bindingEngine;
    private subscribers;
    constructor(mlInput: UIMLInput | UIMLTextarea, changeSelectedLangageCallback?: () => void);
    isTranslatable(): boolean;
    changeSelectedLangage(): void;
    onClear(): void;
    selectedLanguageCodeChanged(newValue: any, oldValue: any): void;
    setSelectedLanguage(): void;
    disposeSubscribers(): void;
    rebindSubscribers(callback?: () => void): void;
    private langProperties;
}
